org.eclipse.jetty.ajp

## Class Ajp13RequestPacket

- java.lang.Object
- - org.eclipse.jetty.ajp.Ajp13RequestPacket

    public class Ajp13RequestPacket
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Ajp13RequestPacket()`

### Method Summary

Methods
`static Buffer` `get(Buffer buffer, int length)`
`static boolean` `getBool(Buffer _buffer)`
`static byte` `getByte(Buffer _buffer)`
`static Buffer` `getHeaderName(Buffer _buffer, View tok)`
`static int` `getInt(Buffer _buffer)`
`static Buffer` `getMethod(Buffer _buffer)`
`static Buffer` `getString(Buffer _buffer, View tok)`
`static boolean` `isEmpty(Buffer _buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Ajp13RequestPacket

    public Ajp13RequestPacket()

### Method Detail

#### isEmpty

    public static boolean isEmpty(Buffer _buffer)

#### getInt

    public static int getInt(Buffer _buffer)

#### getString

    public static Buffer getString(Buffer _buffer,
                   View tok)

#### getByte

    public static byte getByte(Buffer _buffer)

#### getBool

    public static boolean getBool(Buffer _buffer)

#### getMethod

    public static Buffer getMethod(Buffer _buffer)

#### getHeaderName

    public static Buffer getHeaderName(Buffer _buffer,
                       View tok)

#### get

    public static Buffer get(Buffer buffer,
             int length)